﻿-- Mangos-DungeonBrowser Debug
-- Code by Kenuvis
-- Last Update: 06.02.2011

local debug = false
local softdebug = true

if debug then MangosDungeonBrowserForm:Show() end

function debugprint(msg)
	if debug then
		if type(msg) ~= "table" then
			if softdebug and type(msg) == "string" and string.sub(msg, 1, 1) == "#" then
				return
			end
			print(msg)
		else
			table.foreach(msg, print)
		end
	end
end

function MDB_IsDebug()
	return debug
end

function MDB_DebugSend(input, output)
	if input:GetText() == "" then return end
	MDB_IncommingMessage(","..input:GetText(), input:GetName())

	output:SetText((output:GetText() or "").."\n<<,"..input:GetText())
	input:SetText("")
end

function MDB_DebugIncome(Text, Sender)
	debugprint(Text)
	local output

	if Sender == "S1Input" then
		output = S1OutputLabel
	elseif Sender == "S2Input" then
		output = S2OutputLabel
	elseif Sender == "S3Input" then
		output = S3OutputLabel
	elseif Sender == "S4Input" then
		output = S4OutputLabel
	end

	if output then
		output:SetText((output:GetText() or "").."\n>>"..Text)
	end
end
