﻿MDB_Save = {}

	local function printsave(output)
		table.insert(MDB_Save, output)
		print(output)
	end

function MDB_Command(Command, ...)
	printsave("vvvv")
	printsave(getmetatable(Command).name)
	if args then
		table.foreach(args, printsave)
	end
	printsave("^^^^")
end

function MDB_Create(Command)
	if MDB_IsDebug() then
		_G[Command] = {}
		setmetatable(_G[Command], {name = Command, __call = MDB_Command})
		print("MDB_Testdrive_Init: "..Command)
	end
end
--[[
MDB_Create("CanPartyLFGBackfill") -- Returns whether the party is eligible to recruit additional members from the LFG pool.
--MDB_Create("GetLFDChoiceCollapseState")--(nil or table) -- returns LFGCollapseList
--MDB_Create("GetLFDChoiceEnabledState")--(nil or table) -- returns LFGEnabledList
--MDB_Create("GetLFDChoiceInfo")--(nil or table) -- Returns a table of all dungeon info keyed by dungeonID
--MDB_Create("GetLFDChoiceLockedState")--(nil or table) -- Returns a table mapping dungeonID to isLocked (in LFD UI)
--MDB_Create("GetLFDChoiceOrder")--(nil or table) -- returns LFDDungeonList
--MDB_Create("GetLFDLockPlayerCount")--() -- returns the number of locks in a dungeon group
--MDB_Create("GetLFDLockInfo")--(dungeonID, lockedPlayerNumber) -- returns playerName, lockedReason; lockedPlayerNumber is from 1 to GetLFDLockPlayerCount(); lockedReason is found in LFG_INSTANCE_INVALID_CODES
--MDB_Create("GetLFGDungeonInfo")--(dungeonId) -- Returns information about a particular dungeon in the list: dungeonName, typeID, minLevel, maxLevel, recLevel, minRecLevel, maxRecLevel, expansionLevel, groupID, textureFilename, difficulty, maxPlayers, dungeonDescription, isHoliday
--MDB_Create("GetLFGDungeonRewards")--(dungeontype) -- dungeontype = 261 (normal) or 262 (heroic), returns doneToday, moneyBase, moneyVar, experienceBase, experienceVar, numRewards
MDB_Create("GetLFGDungeonRewardInfo")--(dungeonID, rewardIndex) -- returns name, texturePath, quantity. rewardIndex matches 1 through numRewards from GetLFGDungeonRewards
--MDB_Create("GetLFGInfoServer")-- -- returns inParty, joined, queued, noPartialClear, achievements, lfgComment, slotCount
--MDB_Create("GetLFGProposal")--() -- Returns information about a LFD group invite.
MDB_Create("GetLFGProposalEncounter")--(encounterNumber) -- returns bossName, texture, isKilled. encounterNumber is from 1 to totalEncounters from GetLFGProposal()
MDB_Create("GetLFGProposalMember")--(playerNumber) -- returns info about players (numbers 1-5) in the LFG proposal: isLeader, role, level, responded, accepted, name, class
MDB_Create("GetLFGRandomDungeonInfo")--(index) -- Returns information about a random dungeon queue: id, name
--MDB_Create("GetNumRandomDungeons")--() -- returns the number of specific dungeons that can be queued for
MDB_Create("GetPartyLFGBackfillInfo")--() -- Returns information about the dungeon for which you may currently recruit additional members from the LFG pool.
MDB_Create("GetRandomDungeonBestChoice")--() -- Returns suggested random dungeon ID.
MDB_Create("HasLFGRestrictions")--() -- Returns whether the player is in a random party formed by the dungeon finder system.
--MDB_Create("IsLFGDungeonJoinable")--(dungeonId) -- Returns whether you can queue for a particular dungeon; dungeonId is from GetLFGRandomDungeonInfo
--MDB_Create("LFGTeleport")--([toSafety]) -- Teleports the player to (toSafety = nil) or from (toSafety = true) a dungeon
MDB_Create("RejectProposal")--() -- Reject an LFD group invite and exit the queue.
--MDB_Create("SetLFGHeaderCollapsed")--(headerID, isCollapsed)
--MDB_Create("UnitGroupRolesAssigned")--(UnitID) -- Return's the targeted unit's assigned role.
--MDB_Create("GetLFGMode")]]
