-- MangosDungeonBrowser ServerSetting
-- Code by Kenuvis
-- Last Update: 06.02.2011

--[[
Diese Datei sollte/muss von der Administrative des Servers
eingesehen und eingestellt werden, bevor das Addon auf dem
Server freigegeben wird.
]]
MDB = {}

--[[
Allgemeiner An-/Ausschalter. Ausgeschaltet sind alle Dungeons
blockiert. (true/false)
]]
MDB.Enable = true

--[[
Damit alle auf dem Server die gleichen Einstellung bzw. den
gleichen Aktuallisationsgrad besitzen.
]]
MDB.SettingVersion = 1

--[[
Damit nicht ausversehen Einstellungen von fremden Servern
einzug halten.
]]
MDB.Server = "YAOK-Server(v1.0)" --"OrangeVirus"

--[[
Der globale Channel (nurnoch durch Fraktionen getrennt), welcher fr
den Dungeonbrowser genutzt wird, da Blizzard seinem Addonchannel so-
etwas nicht gestattet. Der channel ist fr den Nutzer komplett unsichtbar.
("-" ist im Channelnamen nicht gestattet),
Passwort ist optional (nil oder "passwort") und wird nicht richtig vom
Server untersttzt
]]
MDB.Channel = "mdb"
MDB.ChannelPassword = "mdbpassword"

--[[
In welchem Interval der Spieler die Anwesenheit der Mitspieler
im Dungeonbrowser überprüft. Das ist ein vernetztes System, das
heißt, wenn Spieler A den Spieler B überprüft, teilt Spieler A
das Ergebnis der Prüfung mit allen anderen Spielern im
Dungeonbrowser, so dass die es nichtmehr tuen müssen, bis zum
nächsten Interval.
Erst nach dem 2. Check fliegt der Spieler aus dem Dungeonbrowser
bzw. wird als offline angesehen. (in Sekunden)
]]
MDB.PlayerCheckInterval = 6

--[[
Spieler, die von dem System ausgeschlossen werden.
z.B.: MDB.IgnorePlayer = {"Kazza", "Adam", "Eva"}
Desweiteren die Einstellung, ob die persnliche Ignoreliste des Spielers
mit beachtet werden soll. (true/false)
]]
MDB.IgnorePlayer = {}
MDB.IgnoreList = false


--[[
Hier sind alle Dungeons aufgelistet die aus diversten Gründen
gesperrt sind, sprich nicht zugänglich. Sei es wegen der fehlenden
Funktionalität der Bosse oder was auch immer. Ist eine Dungeon offen
so kann man einfach die dazu gehörige Zeile löschen.
]]
MDB.LockList = { --[[
[1] = 1,	--Höhlen des Wehklagens
[2] = 1,	--Scholomance
[4] = 1,	--Der Flammenschlund
[6] = 1,	--Todesminen
[8] = 1,	--Burg Schattenfang
[10] = 1,	--Tiefschwarze Grotte
[12] = 1,	--Verlies von Sturmwind
[14] = 1,	--Gnomeregan
[16] = 1,	--Kral der Klingenhauer
[18] = 1,	--Scharlachrotes Kloster - Friedhof
[20] = 1,	--Hügel der Klingenhauer
[22] = 1,	--Uldaman
[24] = 1,	--Zul'Farrak
[26] = 1,	--Maraudon - Orangefarbene Kristalle
[28] = 1,	--Versunkener Tempel
[30] = 1,	--Schwarzfelstiefen - Unteres Viertel
[32] = 1,	--Untere Schwarzfelsspitze
[34] = 1,	--Düsterbruch - Ost
[36] = 1,	--Düsterbruch - West
[38] = 1,	--Düsterbruch - Nord
[40] = 1,	--Stratholme - Haupttor
[42] = 1,	--Zul'Gurub
[44] = 1,	--Obere Schwarzfelsspitze
[46] = 1,	--Onyxias Hort
[48] = 1,	--Geschmolzener Kern
[50] = 1,	--Pechschwingenhort
[58] = 1,	--Wald von Elwynn
[60] = 1,	--Westfall
[62] = 1,	--Dämmerwald
[64] = 1,	--Dun Morogh
[66] = 1,	--Loch Modan
[68] = 1,	--Sumpfland
[70] = 1,	--Schlingendorntal
[72] = 1,	--Verwüstete Lande
[74] = 1,	--Sümpfe des Elends
[76] = 1,	--Rotkammgebirge
[78] = 1,	--Brennende Steppe
[80] = 1,	--Sengende Schlucht
[82] = 1,	--Ödland
[84] = 1,	--Arathihochland
[86] = 1,	--Vorgebirge des Hügellands
[88] = 1,	--Hinterland
[90] = 1,	--Westliche Pestländer
[92] = 1,	--Östliche Pestländer
[94] = 1,	--Tirisfal
[96] = 1,	--Silberwald
[98] = 1,	--Alteracgebirge
[100] = 1,	--Durotar
[102] = 1,	--Mulgore
[104] = 1,	--Brachland
[106] = 1,	--Steinkrallengebirge
[108] = 1,	--Tausend Nadeln
[110] = 1,	--Desolace
[112] = 1,	--Feralas
[114] = 1,	--Düstermarschen
[116] = 1,	--Tanaris
[118] = 1,	--Krater von Un'Goro
[120] = 1,	--Silithus
[122] = 1,	--Teldrassil
[124] = 1,	--Dunkelküste
[126] = 1,	--Eschental
[128] = 1,	--Teufelswald
[130] = 1,	--Azshara
[132] = 1,	--Winterquell
[136] = 1,	--Höllenfeuerbollwerk
[137] = 1,	--Blutkessel
[138] = 1,	--Die zerschmetterten Hallen
[140] = 1,	--Sklavenunterkünfte
[146] = 1,	--Tiefensumpf
[147] = 1,	--Dampfkammer
[148] = 1,	--Managruft
[149] = 1,	--Auchenaikrypta
[150] = 1,	--Sethekkhallen
[151] = 1,	--Schattenlabyrinth
[152] = 1,	--Höllenfeuerhalbinsel
[153] = 1,	--Zangarmarschen
[154] = 1,	--Wälder von Terokkar
[155] = 1,	--Nagrand
[156] = 1,	--Schattenmondtal
[157] = 1,	--Schergrat
[158] = 1,	--Nethersturm
[159] = 1,	--Naxxramas
[160] = 1,	--Ruinen von Ahn'Qiraj
[161] = 1,	--Tempel von Ahn'Qiraj
[163] = 1,	--Scharlachrotes Kloster - Waffenkammer
[164] = 1,	--Scharlachrotes Kloster - Kathedrale
[165] = 1,	--Scharlachrotes Kloster - Bibliothek
[166] = 1,	--Immersangwald
[167] = 1,	--Azurmythosinsel
[168] = 1,	--Geisterlande
[169] = 1,	--Blutmythosinsel
[170] = 1,	--Die Flucht aus Durnholde
[171] = 1,	--Der schwarze Morast
[172] = 1,	--Die Mechanar
[173] = 1,	--Die Botanika
[174] = 1,	--Die Arkatraz
[175] = 1,	--Karazhan
[176] = 1,	--Magtheridons Kammer
[177] = 1,	--Gruuls Unterschlupf
[178] = 1,	--Auchenaikrypta
[179] = 1,	--Managruft
[180] = 1,	--Sethekkhallen
[181] = 1,	--Schattenlabyrinth
[182] = 1,	--Der schwarze Morast
[183] = 1,	--Die Flucht aus Durnholde
[184] = 1,	--Sklavenunterkünfte
[185] = 1,	--Dampfkammer
[186] = 1,	--Tiefensumpf
[187] = 1,	--Blutkessel
[188] = 1,	--Höllenfeuerbollwerk
[189] = 1,	--Die zerschmetterten Hallen
[190] = 1,	--Die Arkatraz
[191] = 1,	--Die Botanika
[192] = 1,	--Die Mechanar
[193] = 1,	--Festung der Stürme
[194] = 1,	--Höhle des Schlangenschreins
[195] = 1,	--Hyjal der Vergangenheit
[196] = 1,	--Der Schwarze Tempel
[197] = 1,	--Zul'Aman
[198] = 1,	--Terrasse der Magister
[199] = 1,	--Der Sonnenbrunnen
[200] = 1,	--Insel von Quel'Danas
[201] = 1,	--Terrasse der Magister
[202] = 1,	--Burg Utgarde
[203] = 1,	--Turm Utgarde
[204] = 1,	--Azjol-Nerub
[205] = 1,	--Turm Utgarde
[206] = 1,	--Das Oculus
[207] = 1,	--Die Hallen der Blitze
[208] = 1,	--Die Hallen des Steins
[209] = 1,	--Das Ausmerzen von Stratholme
[210] = 1,	--Das Ausmerzen von Stratholme
[211] = 1,	--Das Oculus
[212] = 1,	--Die Hallen der Blitze
[213] = 1,	--Die Hallen des Steins
[214] = 1,	--Feste Drak'Tharon
[215] = 1,	--Feste Drak'Tharon
[216] = 1,	--Gundrak
[217] = 1,	--Gundrak
[218] = 1,	--Ahn'kahet: Das Alte Königreich
[219] = 1,	--Ahn'kahet: Das Alte Königreich
[220] = 1,	--Die Violette Festung
[221] = 1,	--Die Violette Festung
[223] = 1,	--Das Auge der Ewigkeit
[224] = 1,	--Das Obsidiansanktum
[225] = 1,	--Der Nexus
[226] = 1,	--Der Nexus
[227] = 1,	--Naxxramas
[228] = 1,	--Boreanische Tundra
[229] = 1,	--Heulender Fjord
[230] = 1,	--Grizzlyhügel
[231] = 1,	--Drachenöde
[232] = 1,	--Tausendwinter
[233] = 1,	--Zul'Drak
[234] = 1,	--Sholazarbecken
[235] = 1,	--Die Sturmgipfel
[236] = 1,	--Eiskrone
[237] = 1,	--Das Auge der Ewigkeit
[238] = 1,	--Das Obsidiansanktum
[239] = 1,	--Archavons Kammer
[240] = 1,	--Archavons Kammer
[241] = 1,	--Azjol-Nerub
[242] = 1,	--Burg Utgarde
[243] = 1,	--Ulduar
[244] = 1,	--Ulduar
[245] = 1,	--Prüfung des Champions
[246] = 1,	--Prüfung des Kreuzfahrers
[247] = 1,	--Prüfung des Obersten Kreuzfahrers
[248] = 1,	--Prüfung des Kreuzfahrers
[249] = 1,	--Prüfung des Champions
[250] = 1,	--Prüfung des Obersten Kreuzfahrers
[251] = 1,	--Die Seelenschmiede
[252] = 1,	--Die Seelenschmiede
[253] = 1,	--Grube von Saron
[254] = 1,	--Grube von Saron
[255] = 1,	--Die Hallen der Reflexion
[256] = 1,	--Die Hallen der Reflexion
[257] = 1,	--Onyxias Hort
[258] = 1,	--Zufälliger Dungeon (Classic)
[259] = 1,	--Zufälliger Dungeon (Burning Crusade)
[260] = 1,	--Zufälliger heroischer Dungeon (Burning Crusade)
[261] = 1,	--Zufälliger Dungeon (Wrath of the Lich King)
[262] = 1,	--Zufälliger heroischer Dungeon (Wrath of the Lich King)
[272] = 1,	--Maraudon - Purpurfarbene Kristalle
[273] = 1,	--Maraudon - Klare Wasser
[274] = 1,	--Stratholme - Dienstboteneingang
[276] = 1,	--Schwarzfelstiefen - Oberes Viertel
[279] = 1,	--Eiskronenzitadelle
[280] = 1,	--Eiskronenzitadelle
[285] = 1,	--Der Kopflose Reiter
[286] = 1,	--Frostfürst Ahune
[287] = 1,	--Coren Düsterbräu
[288] = 1,	--Chemiemanufaktur Krone
[293] = 1,	--Rubinsanktum
[294] = 1	--Rubinsanktum]]
}

-- Nicht Löschen!
if MDB.Server ~= GetRealmName() then MDB.Enable = false end
for name in ipairs(MDB.IgnorePlayer) do MDB.IgnorePlayer[name] = 1 end
